# $Revision: 1.14 $, $Date: 2011/03/10 19:19:47 $
Summary:	The Typesafe Signal Framework for C++ - MinGW32 cross version
Summary(pl.UTF-8):	Środowisko sygnałów z kontrolą typów dla C++ - wersja skrośna dla MinGW32
%define		realname	libsigc++
Name:		crossmingw32-%{realname}
Version:	2.2.9
Release:	1
License:	LGPL v2.1+
Group:		Development/Libraries
Source0:	http://ftp.gnome.org/pub/GNOME/sources/libsigc++/2.2/%{realname}-%{version}.tar.bz2
# Source0-md5:	16dc0c868aeef9ee5ef055f3e3e865d3
URL:		http://libsigc.sourceforge.net/
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake >= 1.9
BuildRequires:	crossmingw32-gcc-c++
BuildRequires:	libtool
BuildRequires:	m4
BuildRequires:	mm-common >= 0.7.2
BuildRequires:	perl-base
BuildRequires:	pkgconfig
Requires:	crossmingw32-runtime
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		no_install_post_strip	1

%define		target			i386-mingw32
%define		target_platform 	i386-pc-mingw32

%define		_sysprefix		/usr
%define		_prefix			%{_sysprefix}/%{target}
%define		_libdir			%{_prefix}/lib
%define		_pkgconfigdir		%{_prefix}/lib/pkgconfig
%define		_dlldir			/usr/share/wine/windows/system
%define		__cc			%{target}-gcc
%define		__cxx			%{target}-g++

%ifnarch %{ix86}
# arch-specific flags (like alpha's -mieee) are not valid for i386 gcc
%define		optflags	-O2
%endif
# -z options are invalid for mingw linker
%define		filterout_ld	-Wl,-z,.*

%description
This library implements a full callback system for use in widget
libraries, abstract interfaces, and general programming. Originally
part of the Gtk-- widget set, libsigc++ is now a seperate library to
provide for more general use. It is the most complete library of its
kind with the ablity to connect an abstract callback to a class
method, function, or function object. It contains adaptor classes for
connection of dissimilar callbacks and has an ease of use unmatched by
other C++ callback libraries.

This package contains cross MinGW32 version.

%description -l pl.UTF-8
Ta biblioteka jest implementacją pełnego systemu callbacków do
używania w bibliotekach widgetów, interfejsach abstrakcyjnych i
ogólnym programowaniu. Oryginalnie była to część zestawu widgetów
Gtk--, ale jest teraz oddzielną biblioteką ogólniejszego
przeznaczenia. Jest to kompletna biblioteka tego typu z możliwością
łączenia abstrakcyjnych callbacków z metodami klas, funkcjami lub
obiektami funkcji. Zawiera klasy adapterów do łączenia różnych
callbacków.

Ten pakiet zawiera wersję skrośną MinGW32.

%package static
Summary:	Static libsigc++ library (cross MinGW32 version)
Summary(pl.UTF-8):	Statyczna biblioteka libsigc++ (wersja skrośna MinGW32)
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description static
Static libsigc++ library (cross MinGW32 version).

%description static -l pl.UTF-8
Statyczna biblioteka libsigc++ (wersja skrośna MinGW32).

%package dll
Summary:	DLL libsigc++ library for Windows
Summary(pl.UTF-8):	Biblioteka DLL libsigc++ dla Windows
Group:		Applications/Emulators
Requires:	wine

%description dll
DLL libsigc++ library for Windows.

%description dll -l pl.UTF-8
Biblioteka DLL libsigc++ dla Windows.

%prep
%setup -q -n %{realname}-%{version}

%build
%{__libtoolize}
%{__aclocal} -I build
%{__autoconf}
%{__automake}
%configure \
	--target=%{target} \
	--host=%{target} \
	--enable-static

%{__make} all

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_dlldir}
mv -f $RPM_BUILD_ROOT%{_prefix}/bin/*.dll $RPM_BUILD_ROOT%{_dlldir}

%if 0%{!?debug:1}
%{target}-strip --strip-unneeded -R.comment -R.note $RPM_BUILD_ROOT%{_dlldir}/*.dll
%{target}-strip -g -R.comment -R.note $RPM_BUILD_ROOT%{_libdir}/*.a
%endif

%{__rm} -r $RPM_BUILD_ROOT%{_datadir}/{devhelp,doc}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%{_libdir}/libsigc-2.0.dll.a
%{_libdir}/libsigc-2.0.la
%{_libdir}/sigc++-2.0
%{_includedir}/sigc++-2.0
%{_pkgconfigdir}/sigc++-2.0.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libsigc-2.0.a

%files dll
%defattr(644,root,root,755)
%{_dlldir}/libsigc-2.0-*.dll

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: crossmingw32-libsigc++.spec,v $
Revision 1.14  2011/03/10 19:19:47  qboosh
- updated to 2.2.9

Revision 1.13  2010/09/18 17:49:20  qboosh
- updated to 2.2.8

Revision 1.12  2009/04/11 17:37:09  qboosh
- updated to 2.2.3

Revision 1.11  2008/03/15 10:37:15  qboosh
- updated to 2.2.2

Revision 1.10  2008-01-14 19:28:19  qboosh
- force %{_lib}-independent libdir

Revision 1.9  2007/09/18 19:25:25  qboosh
- updated to 2.0.18

Revision 1.8  2007/03/06 22:57:14  qboosh
- cleanup, separated -static,-dll

Revision 1.7  2007/02/25 15:12:10  czarny
- proper shared + static build

Revision 1.6  2007/02/20 21:27:00  czarny
- adaptized

Revision 1.5  2007/02/12 22:09:09  glen
- tabs in preamble

Revision 1.4  2007/02/12 18:03:54  qboosh
- indicate cross in descs

Revision 1.3  2007/02/12 01:06:44  baggins
- converted to UTF-8

Revision 1.2  2007/01/30 21:20:39  czarny
- dirs added

Revision 1.1  2007/01/30 20:25:31  czarny
- init PLD
- based on libsigc++.spec
